GETDENTS(2)

NOM
getdents - Obtenir les points d'entrée d'un répertoire

SYNOPSIS
#include <unistd.h>
#include <linux/types.h>
#include <linux/dirent.h>
#include <linux/unistd.h>
#include <errno.h>
int getdents(unsigned int fd, struct dirent *dirp,
             unsigned int count);

DESCRIPTION
Ce n'est pas la fonction qui vous intéresse. Veuillez regarder readdir(3) pour l'interface de la fonction de même nom de la glibc conforme à la spécification POSIX. Cette page documente l'interface de l'appel système du noyau.

L'appel système getdents() lit plusieurs structures dirent depuis un répertoire référencé par le descripteur de fichier ouvert fd et les place dans la zone de mémoire pointée par dirp. Le paramètre count est la taille de la zone mémoire.

La structure dirent est déclarée ainsi :

struct linux_dirent {
    unsigned long  d_ino;     /* Numéro d'in